import * as React from 'react';
import { useAdaptable } from '../AdaptableContext';
import { ThemePopup } from './ThemePopup';
import { Box } from '../../components/Flex';
export const ThemeEditorWindow = () => {
    const adaptable = useAdaptable();
    const moduleInfo = adaptable.ModuleService.getModuleInfoByModule('Theme');
    return (React.createElement(Box, { className: "twa:p-2" },
        React.createElement(ThemePopup, { hideShowInWindow: true, moduleInfo: moduleInfo, api: adaptable.api })));
};
